#include <bits/stdc++.h>

using namespace std;


int NajvecaCifraNiza(int a[], int l, int j)
{
    int maks=0;
    for (int i=l; i<=j; i++)
    {
        if (a[i]>=maks)
        {
            maks=a[i];
        }
    }
    return maks;
}
int PozicijaNajveceCifreNiza(int a[], int l, int j)
{
    int maks=0;
    int k=0;
    for (int i=l; i<=j; i++)
    {
        if (a[i]>=maks)
        {
            maks=a[i];
            k=i;
        }
    }
    return k;
}

int main()
{
    int N, a[1000006];
    cin>>N;
    for (int i=1; i<=N; i++)
    {
        cin>>a[i];
    }
    if (N==2)
    {
        a[2]=a[1]+a[2];
        a[1]=a[2]-a[1];
        a[2]=a[2]-a[1];
    }
    else
    {
        int s=0;
        for (int i=1; i<=N; i++)
        {
            if (a[i]!=NajvecaCifraNiza(a,i,N))
            {
                int yu=a[i];
                a[i]=NajvecaCifraNiza(a,i,N);
                a[PozicijaNajveceCifreNiza(a,i,N)]=yu;
                break;
            }
            else 
            {
                s=s+1;
            }
        }
        if (s==N)
        {
            int x=a[N];
            a[N]=a[N-1];
            a[N-1]=x;
        }
    }
    
    
    for (int i=1; i<=N; i++)
    {
        cout<<a[i]<<" ";
    }
    return 0;
}